> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Products by Category

> Retrieve a paginated list of products within a specific Amazon category using the category ID. Supports sorting by price or relevance, and filtering by price range.

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">3 credits</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I want to make an API call to https://api.keyapi.ai/v1/amazon/products-by-category.

Please help me write code to make this API call and handle the response appropriately. Include error handling and best practices.

Here are the details:

Endpoint: GET https://api.keyapi.ai/v1/amazon/products-by-category

Description: Products by Category

Required Headers:
--header 'Authorization: Bearer <YOUR_API_KEY>'

Parameters:
- category_id (Required): The Amazon category for which to return results. The category ID can be obtained from the Amazon category results URL, for example: https://amazon.com/s?node=2858778013 - the Amazon Category ID is 2858778013. Multiple category values can be separated by comma (e.g. categoryId1,categoryId2). Example: 281407
- page (Optional): Results page to return. Example: 1
- country (Optional): Sets the Amazon domain, marketplace country, language and currency.
Allowed values: US, AU, BR, CA, CN, FR, DE, IN, IT, MX, NL, SG, ES, TR, AE, GB, JP, SA, PL, SE, BE, EG, ZA, IE. Example: us
- sort_by (Optional): Return the results in a specific sort order
Allowed values: RELEVANCE, LOWEST_PRICE, HIGHEST_PRICE, REVIEWS, NEWEST, BEST_SELLERS. Example: RELEVANCE
- min_price (Optional): Only return product offers with price greater than a certain value. Specified in the currency of the selected country. For example, in case country=US, a value of 105.34 means $105.34. Example: 0
- max_price (Optional): Only return product offers with price lower than a certain value. Specified in the currency of the selected country. For example, in case country=US, a value of 105.34 means $105.34. Example: 0
- product_condition (Optional): Return products in a specific condition
Allowed values: ALL, NEW, USED, RENEWED, COLLECTIBLE. Example: ALL
- brand (Optional): Only return products of a specific brand. Multiple brands can be specified as a comma (,) separated list. The brand values can be seen from Amazon's search left filters panel, as seen here.
Examples:  
SAMSUNG
Google,Apple. Example: SAMSUNG
- is_prime (Optional): Only return prime products. Example: false
- deals_and_discounts (Optional): Return deals and discounts in a specific condition
Allowed values: NONE, ALL_DISCOUNTS, TODAYS_DEALS. Example: NONE
- four_stars_and_up (Optional): Return product listings with ratings of 4 stars & up
- language (Optional): The language of the results. In case not specified, results will be returned in the default domain language
Supported languages per country:
US: en_US, es_US
AU: en_AU
BR: pt_BR
CA: en_CA, fr_CA
FR: fr_FR, en_GB
DE: de_DE, en_GB, cs_CZ, nl_NL, pl_PL, tr_TR, da_DK
IN: en_IN, hi_IN, ta_IN, te_IN, kn_IN, ml_IN, bn_IN, mr_IN
IT: it_IT, en_GB
MX: es_MX
NL: nl_NL, en_GB
SG: en_SG
ES: es_ES, pt_PT, en_GB
TR: tr_TR
AE: en_AE, ar_AE
GB: en_GB
JP: ja_JP, en_US, zh_CN
SA: ar_AE, en_AE
PL: pl_PL
SE: sv_SE, en_GB
BE: fr_BE, nl_BE, en_GB
EG: ar_AE, en_AE
ZA: en_ZA
IE: en_IE
- additional_filters (Optional): Any filters available on the Amazon page but not part of this endpoint's parameters. The filter values can be extracted from the rh parameter in the Amazon search URL after applying the filter of interest on the Amazon search results page. Multiple filters are supported and can be separated by comma (,).

For example, when searching for science books with the Paperback book format filter selected, the Amazon URL is: 
https://www.amazon.com/s?k=science+books&rh=p_n_feature_browse-bin%3A2656022011 and the rh parameter value is p_n_feature_browse-bin%3A2656022011 - To filter for Paperback books, set the value of additional_parameters=p_n_feature_browse-bin%3A2656022011.
- fields (Optional): A comma separated list of product fields to include in the response (field projection). By default all fields are returned.
Example: product_price,product_url,is_best_seller,sales_volume

Example Response:
{
"code": 0,
"message": "success",
"data": {
"total_products": 17,
"country": "US",
"domain": "www.amazon.com",
"products": [
  {
    "asin": "B0C4M37HZN",
    "product_title": "Samsung 25W Wall Charger Power Adapter, Cable Not Included, Super Fast Charging, Compact Design, Energy Efficient, Compatible with Galaxy and USB Type C Devices, White",
    "product_price": "$12.99",
    "product_original_price": "$14.99",
    "currency": "USD",
    "product_star_rating": "4.6",
    "product_num_ratings": 1810,
    "product_url": "https://www.amazon.com/dp/B0C4M37HZN",
    "product_photo": "https://m.media-amazon.com/images/I/515lQOiHR-L._AC_UY654_QL65_.jpg",
    "product_num_offers": 1,
    "product_minimum_offer_price": "$12.99",
    "is_best_seller": false,
    "is_amazon_choice": true,
    "is_prime": false,
    "climate_pledge_friendly": false,
    "sales_volume": "400+ bought in past month",
    "delivery": "FREE delivery Tue, Mar 10 on $35 of items shipped by AmazonOr fastest delivery Tomorrow, Mar 6",
    "has_variations": false,
    "product_badge": "Overall Pick"
  },
  {
    "asin": "B0CB93HQKP",
    "product_title": "Samsung 25W Wall Charger Power Adapter, Cable Not Included, Super Fast Charging, Compact Design, Energy Efficient, Compatible with Galaxy and USB Type C Devices, Black",
    "product_price": "$12.99",
    "product_original_price": "$19
... (truncated)`)}
    >
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/amazon.openapi.json GET /v1/amazon/products-by-category
openapi: 3.0.1
info:
  title: Amazon API english documentation
  description: >-
    The english reference documentation of the Amazon API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security: []
tags: []
paths:
  /v1/amazon/products-by-category:
    get:
      tags: []
      summary: Products by Category
      description: >-
        Retrieve a paginated list of products within a specific Amazon category
        using the category ID. Supports sorting by price or relevance, and
        filtering by price range.
      parameters:
        - name: category_id
          in: query
          description: >-
            The Amazon category for which to return results. The category ID can
            be obtained from the Amazon category results URL, for example:
            https://amazon.com/s?node=2858778013 - the Amazon Category ID is
            2858778013. Multiple category values can be separated by comma (e.g.
            categoryId1,categoryId2)
          required: true
          example: '281407'
          schema:
            type: string
            example: '281407'
        - name: page
          in: query
          description: Results page to return
          required: false
          example: 1
          schema:
            type: number
            default: 1
        - name: country
          in: query
          description: >-
            Sets the Amazon domain, marketplace country, language and currency.

            Allowed values: US, AU, BR, CA, CN, FR, DE, IN, IT, MX, NL, SG, ES,
            TR, AE, GB, JP, SA, PL, SE, BE, EG, ZA, IE
          required: false
          example: us
          schema:
            type: string
            default: us
        - name: sort_by
          in: query
          description: >-
            Return the results in a specific sort order

            Allowed values: RELEVANCE, LOWEST_PRICE, HIGHEST_PRICE, REVIEWS,
            NEWEST, BEST_SELLERS
          required: false
          example: RELEVANCE
          schema:
            type: string
            default: RELEVANCE
        - name: min_price
          in: query
          description: >-
            Only return product offers with price greater than a certain value.
            Specified in the currency of the selected country. For example, in
            case country=US, a value of 105.34 means $105.34
          required: false
          example: 0
          schema:
            type: number
        - name: max_price
          in: query
          description: >-
            Only return product offers with price lower than a certain value.
            Specified in the currency of the selected country. For example, in
            case country=US, a value of 105.34 means $105.34
          required: false
          example: 0
          schema:
            type: number
        - name: product_condition
          in: query
          description: |-
            Return products in a specific condition
            Allowed values: ALL, NEW, USED, RENEWED, COLLECTIBLE
          required: false
          example: ALL
          schema:
            type: string
            default: ALL
        - name: brand
          in: query
          description: >-
            Only return products of a specific brand. Multiple brands can be
            specified as a comma (,) separated list. The brand values can be
            seen from Amazon's search left filters panel, as seen here.

            Examples:  
              SAMSUNG
              Google,Apple
          required: false
          example: SAMSUNG
          schema:
            type: string
            example: Google,Apple
        - name: is_prime
          in: query
          description: Only return prime products
          required: false
          example: 'false'
          schema:
            type: boolean
            default: false
        - name: deals_and_discounts
          in: query
          description: |-
            Return deals and discounts in a specific condition
            Allowed values: NONE, ALL_DISCOUNTS, TODAYS_DEALS
          required: false
          example: NONE
          schema:
            type: string
            default: NONE
        - name: four_stars_and_up
          in: query
          description: Return product listings with ratings of 4 stars & up
          required: false
          schema:
            type: boolean
        - name: language
          in: query
          description: >-
            The language of the results. In case not specified, results will be
            returned in the default domain language

            Supported languages per country:

            US: en_US, es_US

            AU: en_AU

            BR: pt_BR

            CA: en_CA, fr_CA

            FR: fr_FR, en_GB

            DE: de_DE, en_GB, cs_CZ, nl_NL, pl_PL, tr_TR, da_DK

            IN: en_IN, hi_IN, ta_IN, te_IN, kn_IN, ml_IN, bn_IN, mr_IN

            IT: it_IT, en_GB

            MX: es_MX

            NL: nl_NL, en_GB

            SG: en_SG

            ES: es_ES, pt_PT, en_GB

            TR: tr_TR

            AE: en_AE, ar_AE

            GB: en_GB

            JP: ja_JP, en_US, zh_CN

            SA: ar_AE, en_AE

            PL: pl_PL

            SE: sv_SE, en_GB

            BE: fr_BE, nl_BE, en_GB

            EG: ar_AE, en_AE

            ZA: en_ZA

            IE: en_IE
          required: false
          schema:
            type: string
        - name: additional_filters
          in: query
          description: >-
            Any filters available on the Amazon page but not part of this
            endpoint's parameters. The filter values can be extracted from the
            rh parameter in the Amazon search URL after applying the filter of
            interest on the Amazon search results page. Multiple filters are
            supported and can be separated by comma (,).


            For example, when searching for science books with the Paperback
            book format filter selected, the Amazon URL is: 
              https://www.amazon.com/s?k=science+books&rh=p_n_feature_browse-bin%3A2656022011 and the rh parameter value is p_n_feature_browse-bin%3A2656022011 - To filter for Paperback books, set the value of additional_parameters=p_n_feature_browse-bin%3A2656022011.
          required: false
          schema:
            type: string
        - name: fields
          in: query
          description: >-
            A comma separated list of product fields to include in the response
            (field projection). By default all fields are returned.

            Example: product_price,product_url,is_best_seller,sales_volume
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  total_products: 17
                  country: US
                  domain: www.amazon.com
                  products:
                    - asin: B0C4M37HZN
                      product_title: >-
                        Samsung 25W Wall Charger Power Adapter, Cable Not
                        Included, Super Fast Charging, Compact Design, Energy
                        Efficient, Compatible with Galaxy and USB Type C
                        Devices, White
                      product_price: $12.99
                      product_original_price: $14.99
                      currency: USD
                      product_star_rating: '4.6'
                      product_num_ratings: 1810
                      product_url: https://www.amazon.com/dp/B0C4M37HZN
                      product_photo: >-
                        https://m.media-amazon.com/images/I/515lQOiHR-L._AC_UY654_QL65_.jpg
                      product_num_offers: 1
                      product_minimum_offer_price: $12.99
                      is_best_seller: false
                      is_amazon_choice: true
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 400+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10 on $35 of items shipped by
                        AmazonOr fastest delivery Tomorrow, Mar 6
                      has_variations: false
                      product_badge: Overall Pick
                    - asin: B0CB93HQKP
                      product_title: >-
                        Samsung 25W Wall Charger Power Adapter, Cable Not
                        Included, Super Fast Charging, Compact Design, Energy
                        Efficient, Compatible with Galaxy and USB Type C
                        Devices, Black
                      product_price: $12.99
                      product_original_price: $19.99
                      currency: USD
                      product_star_rating: '4.8'
                      product_num_ratings: 2210
                      product_url: https://www.amazon.com/dp/B0CB93HQKP
                      product_photo: >-
                        https://m.media-amazon.com/images/I/71blOLk9A6L._AC_UY654_QL65_.jpg
                      product_num_offers: 10
                      product_minimum_offer_price: $12.02
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 2K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10 on $35 of items shipped by
                        AmazonOr fastest delivery Overnight 7 AM - 11 AM
                      has_variations: false
                    - asin: B0CCBP3XN8
                      product_title: >-
                        Samsung Galaxy SmartTag2, Bluetooth Tracker, Locator
                        Tracking Device, Item Finder for Keys, Wallet, Luggage,
                        Use w/Phones Tablets Android 11 or Later, 2023, 4 Pack,
                        2 Black, 2 White
                      product_price: $61.79
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.3'
                      product_num_ratings: 10892
                      product_url: https://www.amazon.com/dp/B0CCBP3XN8
                      product_photo: >-
                        https://m.media-amazon.com/images/I/61EGB5gJEAL._AC_UY654_QL65_.jpg
                      product_num_offers: 16
                      product_minimum_offer_price: $58.11
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 2K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6
                      has_variations: false
                    - asin: B0CHN2D8KM
                      product_title: >-
                        Samsung SmartTag2 (2023) Bluetooth + UWB, IP67 Water and
                        Dust Resistant, Findable via App, 1.5 Year Battery Life
                        - Black (International Version)
                      product_price: $17.25
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.5'
                      product_num_ratings: 4662
                      product_url: https://www.amazon.com/dp/B0CHN2D8KM
                      product_photo: >-
                        https://m.media-amazon.com/images/I/512Rzv5dJ+L._AC_UY654_QL65_.jpg
                      product_num_offers: 25
                      product_minimum_offer_price: $14.99
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 1K+ bought in past month
                      delivery: >-
                        FREE delivery Thu, Mar 12 on $35 of items shipped by
                        AmazonOr fastest delivery Overnight 7 AM - 11 AM
                      has_variations: false
                    - asin: B0CV9LV3B4
                      product_title: >-
                        SAMSUNG 45W Wall Charger Power Adapter with Cable
                        Included, Super Fast Charging for Galaxy Phones, Tablets
                        and USB Type C Devices, Low Standby Power Consumption,
                        EP-T4511XBEGUS, Black
                      product_price: $29.99
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.5'
                      product_num_ratings: 760
                      product_url: https://www.amazon.com/dp/B0CV9LV3B4
                      product_photo: >-
                        https://m.media-amazon.com/images/I/61xeaSwjuCL._AC_UY654_QL65_.jpg
                      product_num_offers: 12
                      product_minimum_offer_price: $20.38
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 2K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10 on $35 of items shipped by
                        AmazonOr fastest delivery Tomorrow, Mar 6
                      has_variations: false
                    - asin: B0CCC69HN3
                      product_title: >-
                        Samsung Galaxy SmartTag2, Bluetooth Tracker, Smart Tag
                        Tracking Device, Item Finder for Keys, Wallet, Luggage,
                        Pets, Use w/ Phones and Tablets Android 11 or Later,
                        2023, 1 Pack, White
                      product_price: $19.31
                      product_original_price: $29.99
                      currency: USD
                      product_star_rating: '4.3'
                      product_num_ratings: 10892
                      product_url: https://www.amazon.com/dp/B0CCC69HN3
                      product_photo: >-
                        https://m.media-amazon.com/images/I/51cP3SGpuDL._AC_UY654_QL65_.jpg
                      product_num_offers: 8
                      product_minimum_offer_price: $17.15
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 2K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10 on $35 of items shipped by
                        AmazonOr fastest delivery Tomorrow, Mar 6
                      has_variations: false
                    - asin: B09MV3M4GL
                      product_title: Samsung Black 65W Trio Adapter
                      product_price: $49.99
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.6'
                      product_num_ratings: 1063
                      product_url: https://www.amazon.com/dp/B09MV3M4GL
                      product_photo: >-
                        https://m.media-amazon.com/images/I/41ZTPNboySL._AC_UY654_QL65_.jpg
                      product_num_offers: 1
                      product_minimum_offer_price: $49.99
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 200+ bought in past month
                      delivery: FREE delivery Wed, Mar 11Or fastest delivery Sat, Mar 7
                      has_variations: false
                    - asin: B0FXHJTGNN
                      product_title: >-
                        Samsung Galaxy Magnet Wireless Charger with 45W Power
                        Adapter, Cordless Super Fast Charging, Powerful Design,
                        Built-in Magnets, No-Slip Surface, Dark Gray
                      product_price: $52.49
                      product_original_price: $74.99
                      currency: USD
                      product_star_rating: null
                      product_num_ratings: 0
                      product_url: https://www.amazon.com/dp/B0FXHJTGNN
                      product_photo: >-
                        https://m.media-amazon.com/images/I/61UpJwyvIML._AC_UY654_QL65_.jpg
                      product_num_offers: 1
                      product_minimum_offer_price: $52.49
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: New on Amazon in past month
                      delivery: >-
                        FREE delivery Mar 31 - May 7Or fastest delivery Mar 31 -
                        May 4
                      has_variations: false
                      product_badge: Limited time deal
                    - asin: B0CV9G1GX4
                      product_title: >-
                        SAMSUNG 50W Duo Power Adapter Wall Charger, 2 Ports,
                        Cable Included, Super Fast Charging 2.0 for Galaxy
                        Phones, Tablets, USB Type C Devices, Low Standby Power
                        Consumption, EP-T5020XBEGUS, Black
                      product_price: $23.89
                      product_original_price: $29.99
                      currency: USD
                      product_star_rating: '4.7'
                      product_num_ratings: 323
                      product_url: https://www.amazon.com/dp/B0CV9G1GX4
                      product_photo: >-
                        https://m.media-amazon.com/images/I/71A5egCaa8L._AC_UY654_QL65_.jpg
                      product_num_offers: 12
                      product_minimum_offer_price: $23.25
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 500+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10 on $35 of items shipped by
                        AmazonOr fastest delivery Sat, Mar 7
                      has_variations: false
                    - asin: B0CB9357F7
                      product_title: >-
                        Samsung 25W Wall Charger Power Adapter with Cable, Super
                        Fast Charging, Compact Design, Energy Efficient,
                        Compatible with Galaxy and USB Type C Devices, Black
                      product_price: $18.55
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.6'
                      product_num_ratings: 1810
                      product_url: https://www.amazon.com/dp/B0CB9357F7
                      product_photo: >-
                        https://m.media-amazon.com/images/I/61s3soTajIL._AC_UY654_QL65_.jpg
                      product_num_offers: 1
                      product_minimum_offer_price: $18.55
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      product_availability: Only 7 left in stock - order soon.
                      climate_pledge_friendly: false
                      sales_volume: 1K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10 on $35 of items shipped by
                        AmazonOr fastest delivery Sat, Mar 7Only 7 left in stock
                        - order soon.
                      has_variations: false
                    - asin: B0FNCZ96XS
                      product_title: >-
                        Samsung 45W Wall Charger Power Adapter, Cable Not
                        Included, Super Fast Charging for Galaxy Phones, Tablets
                        and USB Type C Devices, Low Standby Power Consumption,
                        EP-T4511NWEGUS, White
                      product_price: $31.99
                      product_original_price: $39.99
                      currency: USD
                      product_star_rating: '5'
                      product_num_ratings: 2
                      product_url: https://www.amazon.com/dp/B0FNCZ96XS
                      product_photo: >-
                        https://m.media-amazon.com/images/I/61UYtmcX6HL._AC_UY654_QL65_.jpg
                      product_num_offers: 2
                      product_minimum_offer_price: $30.39
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 50+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10 on $35 of items shipped by
                        AmazonOr fastest delivery Sat, Mar 7
                      has_variations: false
                      product_badge: Limited time deal
                    - asin: B0DQFJKP4B
                      product_title: >-
                        SAMSUNG 45W Wall Charger Power Adapter, Cable Not
                        Included, Super Fast Charging for Galaxy Phones, Tablets
                        and USB Type C Devices, Low Standby Power Consumption,
                        EP-T4511NBEGUS, Black
                      product_price: $23.49
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.8'
                      product_num_ratings: 65
                      product_url: https://www.amazon.com/dp/B0DQFJKP4B
                      product_photo: >-
                        https://m.media-amazon.com/images/I/71jPqb36v5L._AC_UY654_QL65_.jpg
                      product_num_offers: 7
                      product_minimum_offer_price: $19.90
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 300+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10 on $35 of items shipped by
                        AmazonOr fastest delivery Sat, Mar 7
                      has_variations: false
                    - asin: B0D157TTMY
                      product_title: >-
                        SAMSUNG 45W Wall Charger (2024) Power Adapter with Cable
                        Included, Super Fast Charging for Galaxy Phones, Tablets
                        and USB Type C Devices, Low Standby Power Consumption,
                        EP-T4511XBEGCA, Black
                      product_price: $33.30
                      product_original_price: $34.95
                      currency: USD
                      product_star_rating: '4.6'
                      product_num_ratings: 13
                      product_url: https://www.amazon.com/dp/B0D157TTMY
                      product_photo: >-
                        https://m.media-amazon.com/images/I/51ImmgMag+L._AC_UY654_QL65_.jpg
                      product_num_offers: 8
                      product_minimum_offer_price: $30.00
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: null
                      delivery: >-
                        FREE delivery Tue, Mar 10 on $35 of items shipped by
                        AmazonOr fastest delivery Tomorrow, Mar 6
                      has_variations: false
                    - asin: B0D3FFQNFW
                      product_title: >-
                        SAMSUNG 25W Wall Charger Power Adapter with Cable, Super
                        Fast Charging, Compact Design, Compatible with Galaxy
                        and USB Type C Devices, International Model - Black,
                        EP-T2510XBTGTW
                      product_price: $23.99
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.2'
                      product_num_ratings: 19
                      product_url: https://www.amazon.com/dp/B0D3FFQNFW
                      product_photo: >-
                        https://m.media-amazon.com/images/I/41L0Ni1YMVL._AC_UY654_QL65_.jpg
                      product_num_offers: 1
                      product_minimum_offer_price: $23.99
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      product_availability: Only 5 left in stock - order soon.
                      climate_pledge_friendly: false
                      sales_volume: null
                      delivery: >-
                        FREE delivery Mar 12 - 16Or fastest delivery Tue, Mar
                        10Only 5 left in stock - order soon.
                      has_variations: false
                    - asin: B07Q4WZF4F
                      product_title: >-
                        Samsung Galaxy Buds Bluetooth Wireless in - Ear True
                        Earphones with Mic Black
                      product_price: null
                      product_original_price: null
                      currency: null
                      product_star_rating: '4.5'
                      product_num_ratings: 36817
                      product_url: https://www.amazon.com/dp/B07Q4WZF4F
                      product_photo: >-
                        https://m.media-amazon.com/images/I/71z00UwQ9DL._AC_UY654_QL65_.jpg
                      product_num_offers: 1
                      product_minimum_offer_price: null
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: null
                      delivery: null
                      has_variations: true
                    - asin: B00UVLEULS
                      product_title: >-
                        Samsung Data Cable for Smartphones with Micro USB -
                        Non-Retail Packaging - White
                      product_price: $8.95
                      product_original_price: null
                      currency: USD
                      product_star_rating: '3.7'
                      product_num_ratings: 172
                      product_url: https://www.amazon.com/dp/B00UVLEULS
                      product_photo: >-
                        https://m.media-amazon.com/images/I/619iuIcBonL._AC_UY654_QL65_.jpg
                      product_num_offers: 1
                      product_minimum_offer_price: $8.95
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: null
                      delivery: FREE delivery Fri, Mar 13Or fastest delivery Tue, Mar 10
                      has_variations: false
                requestId: cf9838e2-e11e-4191-a75e-90376eb3a3bf
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: 'Missing required parameter: handle'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/amazon/products-by-category?category_id=281407&page=1&country=us&sort_by=RELEVANCE&min_price=0&max_price=0&product_condition=ALL&brand=SAMSUNG&is_prime=false&deals_and_discounts=NONE' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/amazon/products-by-category',
                params={"category_id": "281407", "page": 1, "country": "us", "sort_by": "RELEVANCE", "min_price": 0, "max_price": 0, "product_condition": "ALL", "brand": "SAMSUNG", "is_prime": "false", "deals_and_discounts": "NONE"},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"category_id": "281407", "page":
            1, "country": "us", "sort_by": "RELEVANCE", "min_price": 0,
            "max_price": 0, "product_condition": "ALL", "brand": "SAMSUNG",
            "is_prime": "false", "deals_and_discounts": "NONE"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/amazon/products-by-category?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````